# norootforbuild

%define		soname		2

Name:		projectM
Version:	2.0.1
Release:	5.pm.5.5

Summary:	Sound Visualization Library
License:	LGPL
Group:		Productivity/Multimedia/Sound/Visualization
URL:		http://projectm.sourceforge.net/

Source0:       %{name}-%{version}-Source.tar.gz


Patch0:		projectM-fix_linking.patch
Patch1:		projectM-pkgconfig.patch
Patch2:         projectM-2.0.1-return.diff

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	cmake ftgl-devel gcc-c++ glew-devel pkgconfig
# only to fix ChangeLog
BuildRequires:	dos2unix

%description
ProjectM is an awesome music visualizer. There is nothing better in the world of
Unix. projectM's greatness comes from the hard work of the community. Users like
you can create presets that connect music with incredible visuals.


%package -n lib%{name}%{soname}
Summary:	Sound Visualization Library
Group:		System/Libraries
Recommends:	%{name} = %version

%description -n lib%{name}%{soname}
ProjectM is an awesome music visualizer. There is nothing better in the world of
Unix. projectM's greatness comes from the hard work of the community. Users like
you can create presets that connect music with incredible visuals.


%package -n lib%{name}-devel
Summary:	Development package for %{name}
Group:		Development/Libraries/C and C++
Requires:	lib%{name}%{soname} = %{version}
Requires:	cmake ftgl-devel gcc-c++ glew-devel

%description -n lib%{name}-devel
This package contains the files needed to compile programs that use the
%{name} library.

%prep
%setup -q -n %{name}-%{version}-Source
%patch0 -p1
%patch1 -p1
%patch2 -p1
dos2unix ChangeLog


%build
cmake \
	-D CMAKE_C_FLAGS:STRING="$RPM_OPT_FLAGS" \
	-D CMAKE_CXX_FLAGS:STRING="$RPM_OPT_FLAGS" \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DUSE_NATIVE_GLEW=ON \
	%if %{_lib} == lib64
		-DLIB_SUFFIX=64 \
	%endif
	.

%__make VERBOSE=1 %{?jobs:-j%{jobs}}



%install
%makeinstall


%post -n lib%{name}%{soname} -p /sbin/ldconfig
%postun -n lib%{name}%{soname} -p /sbin/ldconfig


%clean
%__rm -rf "%{buildroot}"


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/config.inp
%dir %{_datadir}/%{name}/fonts
%{_datadir}/%{name}/fonts/*
%dir %{_datadir}/%{name}/presets
%{_datadir}/%{name}/presets/*
%dir %{_datadir}/%{name}/shaders
%{_datadir}/%{name}/shaders/*

%files -n lib%{name}%{soname}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.%{soname}*

%files -n lib%{name}-devel
%defattr(-,root,root,-)
%dir %{_includedir}/lib%{name}
%{_includedir}/lib%{name}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Sun Dec 19 2010 lnussel@suse.de
- enable use of cflags and verbose build
- fix build failure
* Sat Sep 11 2010 detlef@links2linux.de
- add pkgconfig patch
* Wed Sep  8 2010 detlef@links2linux.de
- initial build <2.0.1>
